<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required for Bootstrap-->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Bootstrap CSS -->
    <link 
    href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" 
    rel="stylesheet"
    integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl"
    crossorigin="anonymous">
    <!-- Fontawesome icons -->

    <link 
    href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" 
    rel="stylesheet"
    crossorigin="anonymous">


    <link rel="shortcut icon" href="./favicon.ico">
    <title>Task List</title>
</head>

<body class="bg-light">

    <!-- Navbar -->
    <nav class="navbar navbar-dark bg-primary mb-5">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">
                <img src="./favicon.ico" alt="" width="30" height="30">
                Task List
            </a>
        </div>
    </nav>

    <!-- Add Task -->
    <div class="container mb-4">
        <div class="row">

            <div class="col-lg-4 mt-2">
                <div class="input-group">
                    <span class="input-group-text">Title</span>
                    <input type="text" class="form-control" id="task_name">
                </div>
            </div>

            <div class="col-lg-6 mt-2">
                <div class="input-group">
                    <span class="input-group-text">Description</span>
                    <input type="text" class="form-control" id="task_description">
                </div>
            </div>

            <div class="col-lg-2 mt-2">
                <button class="btn btn-primary" id="add_btn">
                    Add task !
                </button>
            </div>

        </div>
    </div>

    <!-- Main Content -->
    <div class="container mt-3">
        <table class="table table-sm table-striped" id="table">
            <thead>
                <tr>
                    <th scope="col">Title</th>
                    <th scope="col">Description</th>
                    <th scope="col">Finish</th>
                    <th scope="col">Edit</th>
                    <th scope="col">Delete</th>
                </tr>
            </thead>

            <!-- Example Task-->

            <tr>
                <!--
                <th scope="row">Task number one</th>
                <td>Description for task number one</td>
                <td class="form-switch">
                    <input type="checkbox" class="form-check-input" id="check_task_1">
                </td>
                <td>
                    <button class="btn btn-primary"><i class="fa fa-pencil"></i></button>
                    <button class="btn btn-danger"><i class="fa fa-trash"></i></button>
                </td>
            -->
            </tr>
        </table>
    </div>

    <!-- Edit task modal-->
    <div class="modal fade " id="editModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edit Task</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="mb-1">
                            <label for="recipient-name" class="col-form-label">Title</label>
                            <input type="text" class="form-control" id="recipient-name">
                        </div>
                        <div class="mb-1">
                            <label for="message-text" class="col-form-label">Description</label>
                            <textarea class="form-control" id="message-text"></textarea>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary">Accept</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Bootstrap Script CDN -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
        crossorigin="anonymous"></script>

    <script src="./scripts/main.js" type="module"></script>
</body>

</html>